/***************************************************************************
                          transc.h  -  description
                             -------------------
    begin                : Sun Jan 9 2000
    copyright            : (C) 2000 by Philipp Ghring
    email                : p.guehring@poboxes.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRANSC_H
#define TRANSC_H

//#define i18n i18n
//const char *i18n(const char *Text);

#ifdef __unix__

#ifdef KDE1
#include <htmlview.h>
#else
#include <khtml_part.h>
#include <klocale.h>
#endif
#include <kapp.h>
#include "qstring.h"
#define Format sprintf

#define PATH_SEPARATOR "/"
#define FILE_READ_BINARY "r"

#else

#include "webbrowser2.h"
#define QString CString

#define PATH_SEPARATOR "\\"
#define FILE_READ_BINARY "rb"

#endif
class OutputC;

/**
  *@author Philipp Ghring
  */

class TransC {
public: 
	TransC(const char *Directory="",const char *Filename="");
	virtual ~TransC();
  virtual int search(const char *p_word,OutputC *html, int style=0)=0;
};

class TransCList {
public:
  TransCList(TransC *Pointer);
  TransCList *Next;
  TransC *Tran;
  ~TransCList()
  {
	  delete Next;
	  delete Tran;
  }
};

#endif
