%define NAME kquick
%define KDEDIR /opt/kde
%define VERSION 0.9

Name: %{NAME}
Version: %{VERSION}
Release: 6
Summary: KQuick, a quick translator for KDE (Frontend for the *Quick system)
Summary(de): KQuick, ein Schnellbersetzer fr KDE (ist ein Frontend fr das *Quick System)
Copyright: GPL
Distribution: Futureware
Group: X11/KDE/Utilities
Source: http://members.xoom.com/p_guehring/${NAME}/%{NAME}-%{version}.tar.gz
URL: http://www.futureware.at/%{NAME}.htm
Packager: Philipp Ghring <p.guehring@poboxes.com>
Prefix: %{KDEDIR}
BuildRoot: /tmp/rpmbuild_%{NAME}

%description
KQuick is a frontend to the *Quick translation system, for KDE.
It can be used for translating words between languages, describing acronyms,
...

This package will be installed by default in %{KDEDIR}. If you want to install
it somewhere else, use --prefix. For example, "rpm -i --prefix /usr/kde"
puts it in /usr/kde.

%description -l de
KQuick ist eine grafische Oberflche fr das *Quick System, fr KDE.
Mit KQuick kann man Wrter zwischen Sprachen bersetzen, Abkrzungen erklren, 
Fehlernummern erklren, ...

Dieses Paket wird standardmig in %{KDEDIR} installiert. Wenn ein
anderer Ort gewnscht wird, mu --prefix benutzt werden, z.B.
"rpm -i --prefix /usr/kde" installiert das Paket in /usr/kde.

%prep
%setup

%build
export KDEDIR=%{KDEDIR}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make

%install
export KDEDIR=%{KDEDIR}
make prefix=$RPM_BUILD_ROOT$KDEDIR install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{KDEDIR}/bin/
%{KDEDIR}/share/applnk/
#%{KDEDIR}/share/apps/kquick/
%doc %{KDEDIR}/share/doc/HTML/
%{KDEDIR}/share/icons/
%{KDEDIR}/share/locale/
#%{KDEDIR}/share/mimelnk/
#%{KDEDIR}/share/toolbar/
